Subject: Re: CCL:Protein structures

From: "Tamas E. Gunda" <[email-masked]>
Date: Fri, 8 Jun 2001 10:55:33 +0200

Dear Victor,

Beyond chemistry, I am the developer the program Mol2mol (if it is unknown, have a look at for more info:
 http://www.compuchem.com/mol2mol.htm
and/or http://dragon.klte.hu/~gundat/mol2mola.htm )
 
It started as a chemical file conversion utility but it contains now several utilities to modify the files, among others adding hydrogens automatically taking into consideration pH. During developing  I faced several problems, some of them you mentioned as well. 
I think that by checking manually the hydrogens atom-by-atom only a part of the errors can be eliminated, namely the serious mistakes made during addition of hydrogens (bad torsion angles etc.). When developing the hydrogen addition algorithm, I quickly realized that most of the PDB files contain more or less (depending on the resolution) absolutely incorrect bond lengths. For example, a peptide bond -CO-NH- may contain very short C-N bonds correspondig to a -C(OH)=N- moiety. Now how to deal with it? Assume that it is a PDB file and it is "obviously" a peptide bond? But what if it is a peptide containing unusual substituents and the bond is part of a conjugated system? And so on...
Serious "big" modeling programs like Sybyl, Insight etc contain amino acid libraries when adding hydrogens, but this feature cannot help in the case of unusual structural elements. HyperChem can do it only if bond orders are present.  
Another mistake in pdb files that e.g. some of the carbonyl carbons look clearly pyramidal. So I decided in Mol2mol to add hydrogens "ab initio", and only in the case of problems the algorythm looks that does the residue name "GLU" and atom name "CB" belong to the atom in question? Take it for granted, it is not an easy task. 

These mistakes, I guess, arise from the uncertainties of the method of structure determination (xray). Therefore the reliability of the position of added hydrogens cannot be higher than that of the heavy atoms. Thus I agree with the others that the most reliable way is that after adding hydrogens a forcefield minimization must be done, and only after it QM.

Tamas
-----------------------
Dr Tamas E. Gunda
Research Group for Antibiotics of the Hungarian Acad. Sci.
University of Debrecen, POBox 36
H-4010 Debrecen, Hungary
tel.: (+36-52) 512 900/2472
fax: (+36-52) 512 914
e-mail: [email-masked]
home-page: www.klte.hu/~gundat/gunda.htm

----- Original Message ----- 
From: "Victor Anisimov" <[email-masked]>
To: <[email-masked]>
Sent: Monday, May 28, 2001 1:23 PM
Subject: CCL:Protein structures

> Dear netters,
> 
> Can someone advise me on the following topic:
> 
> Applying quantum chemical calculations to proteins I always
> spend a lot of my time on mechanical preliminary purification
> of the protein structures setting hydrogen atoms in proper positions
> and checking the structure errors.
> 
> The software that can automate this process is usually not
> enough reliable and requires a posteriori expert's check. The
> manual correction is tremendously impractical for hundreds of
> proteins with thousands of residues that I need to submit for QM
> calculation.
> 
> Could you please share with me your experience what software you
> consider as the most trustworthy or may be there is some
> free or commercially available database of proteins with correct
> hydrogen atoms already assigned. What would be your normal
> procedure if you would need to submit 50000 atoms' protein for
> QM calculation taking the structure from the PDB database?
> 
> My second question is related to protein structure correction
> feature of graphical applications that goes beyond adding
> hydrogen atoms.
> There are many graphical applications that can advise a user to
> correct some part of the molecule. To best of my knowledge all
> of them are based on the Lewis structure rules. As PDB structures
> not always obeying Lewis principles and valence rules the result
> of the automatic correction is not reliable enough.
> 
> Could you please recommend me a software free or commercial
> if it exists that can safely repair protein structure or can check it
> and graphically select those parts of the protein that require
> human expertise for correction. Once the user qualified the fragment
> as valid the next time check should not suggest this fragment for
> correction.
> 
> Thanks for your help,
> Victor.
>